Jboss Plugin Exception

Error during dispatching of java.awt.event.MouseEvent[MOUSE_CLICKED,(104,218),button=1,modifiers=Button1,clickCount=2]
on frame0: com.intellij.ui.PopupHandler.installUnknownPopupHandler(Ljavax/swing/JComponent;Lcom/intellij/openapi/actionSystem/ActionGroup;)Ljava/awt/event/MouseListener;
java.lang.NoSuchMethodError: com.intellij.ui.PopupHandler.installUnknownPopupHandler(Ljavax/swing/JComponent;Lcom/intellij/openapi/actionSystem/ActionGroup;)Ljava/awt/event/MouseListener;
at com.fuhrer.idea.plugin.jboss.b.d.d(d.java:8)
at com.fuhrer.idea.plugin.jboss.b.f.(f.java:8) at com.fuhrer.idea.plugin.jboss.b.g.(g.java:20) at com.fuhrer.idea.plugin.jboss.c.kb.(kb.java:2) at com.fuhrer.idea.plugin.jboss.c.v.(v.java:1) at com.fuhrer.idea.plugin.jboss.c.b.getWebModulePage(b.java:5) at com.intellij.j2ee.module.view.web.viewlets.WebModulePropertiesPanel$1.visitWebRoot(WebModulePropertiesPanel.java:1) at com.intellij.j2ee.module.view.web.viewlets.WebModulePropertiesPanel$1.visitWebRoot(WebModulePropertiesPanel.java) at com.intellij.j2ee.web.model.impl.WebRootDescriptorImpl.accept(WebRootDescriptorImpl.java:22) at com.intellij.j2ee.module.view.web.viewlets.WebModulePropertiesPanel.accept(WebModulePropertiesPanel.java:5) at com.intellij.j2ee.module.view.ejb.ejbLevel.J2EEPropertiesPanel.a(J2EEPropertiesPanel.java:14) at com.intellij.j2ee.module.view.ejb.ejbLevel.J2EEPropertiesPanel.init(J2EEPropertiesPanel.java:9) at com.intellij.j2ee.module.view.common.editor.J2EEModuleEditor.]]>(J2EEModuleEditor.java:13)
at com.intellij.j2ee.module.components.WebModulePropertiesImpl.createEditor(WebModulePropertiesImpl.java:5)
at com.intellij.j2ee.module.view.common.editor.J2EEModuleEditorProvider.createEditor(J2EEModuleEditorProvider.java:20)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl.openFileImpl3(FileEditorManagerImpl.java:39)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl$3.run(FileEditorManagerImpl.java:1)
at com.intellij.openapi.command.impl.CommandProcessorImpl.executeCommand(CommandProcessorImpl.java:67)
at com.intellij.openapi.command.impl.CommandProcessorImpl.executeCommand(CommandProcessorImpl.java:74)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl.openFileImpl2(FileEditorManagerImpl.java:215)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl.openFileImpl(FileEditorManagerImpl.java:14)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl.openFileWithProviders(FileEditorManagerImpl.java:306)
at com.intellij.openapi.fileEditor.ex.FileEditorManagerEx.openFile(FileEditorManagerEx.java)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl$4.run(FileEditorManagerImpl.java)
at com.intellij.openapi.command.impl.CommandProcessorImpl.executeCommand(CommandProcessorImpl.java:47)
at com.intellij.openapi.command.impl.CommandProcessorImpl.executeCommand(CommandProcessorImpl.java:74)
at com.intellij.openapi.fileEditor.impl.FileEditorManagerImpl.openEditor(FileEditorManagerImpl.java:241)
at com.intellij.openapi.fileEditor.OpenFileDescriptor.openFileAskingType(OpenFileDescriptor.java:135)
at com.intellij.openapi.fileEditor.OpenFileDescriptor.navigate(OpenFileDescriptor.java:102)


4 comments

From the stacktrace I would say you're using an old plugin version
(1.x) together with IDEA 5.0. You should upgrade the JBoss plugin to the
most recent version (2.8).

If this isn't the case then please tell me the build number of IDEA and
the version number of the plugin you're currently using.

--
Martin Fuhrer
Fuhrer Engineering AG
http://www.fuhrer.com

0

Hello Martin,
Looks like something wrong in Plugin repository, it is showing wrong version. I am using IDEA latest build (#4055), some how it shows jboss plugin version 1.1 as shown in the attachment.


-Rambabu


From the stacktrace I would say you're using an old plugin version
(1.x) together with IDEA 5.0. You should upgrade the JBoss plugin to
the most recent version (2.8).

>

If this isn't the case then please tell me the build number of IDEA
and the version number of the plugin you're currently using.

>



Attachment(s):
Jboss.doc
0

Oh, my bad. The plugin has still until-build="3999" in the plugin.xml file and therefore isn't shown for build 4055... I'll provide a fixed version Monday morning, thanks for reporting.

Hello Martin,
Looks like something wrong in Plugin repository, it
t is showing wrong version. I am using IDEA latest
build (#4055), some how it shows jboss plugin version
1.1 as shown in the attachment.


-Rambabu


From the stacktrace I would say you're using an old

plugin version

(1.x) together with IDEA 5.0. You should upgrade

the JBoss plugin to

the most recent version (2.8).

>

If this isn't the case then please tell me the

build number of IDEA

and the version number of the plugin you're

currently using.
>


0

Version 2.9 is now available from the plugin repository.

Martin Fuhrer wrote:

Oh, my bad. The plugin has still until-build="3999" in the plugin.xml file and therefore isn't shown for build 4055... I'll provide a fixed version Monday morning, thanks for reporting.

>> Hello Martin,
>> Looks like something wrong in Plugin repository, it
>> t is showing wrong version. I am using IDEA latest
>> build (#4055), some how it shows jboss plugin version
>> 1.1 as shown in the attachment.
>>
>>
>> -Rambabu
>>
>>
>>
>>> From the stacktrace I would say you're using an old
>> plugin version
>>> (1.x) together with IDEA 5.0. You should upgrade
>> the JBoss plugin to
>>> the most recent version (2.8).
>>>
>>> If this isn't the case then please tell me the
>> build number of IDEA
>>> and the version number of the plugin you're
>> currently using.



--
Martin Fuhrer
Fuhrer Engineering AG
http://www.fuhrer.com

0

Please sign in to leave a comment.